Get forecast
This endpoint allows querying the measure forecast for a period of no more than 31 days.
GET /api/v1/business/{businessId}/product/{productId}/forecast/from/{yyyy-MM-dd}/to/{yyyy-MM-dd}
If the data included in the request is correct, the response will contain the list of measures (forecast) for the product in the defined time range.
Response example
[
{
"value": 0.75,
"from": "2026-08-10T20:30:00.000Z",
"to": "2026-08-10T20:45:00.000Z",
"measure": "SALES"
},
{
"value": 0.75,
"from": "2026-08-10T20:45:00.000Z",
"to": "2026-08-10T21:00:00.000Z",
"measure": "SALES"
},
{
"value": 1.25,
"from": "2026-08-09T22:00:00.000Z",
"to": "2026-08-09T22:15:00.000Z",
"measure": "TICKETS"
},
{
"value": 1.25,
"from": "2026-08-09T22:15:00.000Z",
"to": "2026-08-09T22:30:00.000Z",
"measure": "TICKETS"
}
]
Details
-
value: numerical value of the measure for the given interval.
-
from: start of the interval the value corresponds to, in UTC.
-
to: end of the interval the value corresponds to, in UTC.
-
measure: name configured in Orquest for the measure type.
Considerations
This request returns the forecast data for all measures of the product, unordered.
The data is always returned in UTC and in 15-minute intervals, regardless of how it was recorded.
If there is no forecast data for that period, the request will return an empty array [].
If the product specified in the URL does not exist in the business, the request will return a 404 Not Found error indicating not exists.
If the requested period exceeds 31 days, the request will return a 406 Not Acceptable error.
Filter results
Since some businesses have numerous measures configured, this endpoint allows narrowing the response by filtering by type.
To do this, add the demandTypeNames parameter to the URL:
GET /api/v1/business/{businessId}/product/{productId}/forecast/from/{from}/to/{to}?demandTypeNames={demandTypeNames}
To query multiple types of measures, multiple values can be included, separated by commas.
Example
GET /api/v1/business/BUSINESSID/product/PRODUCTID/forecast/from/2026-08-15/to/2026-08-31?demandTypeNames=SALES,TICKETS
Snippet of the response:
[
{
"value": 0.2334837627981813,
"from": "2026-08-15T17:30:00.000Z",
"to": "2026-08-15T17:45:00.000Z",
"measure": "TICKETS"
},
{
"value": 0.20875953672878728,
"from": "2026-08-15T17:45:00.000Z",
"to": "2026-08-15T18:00:00.000Z",
"measure": "TICKETS"
},
{
"value": 35.21413612846175,
"from": "2026-08-15T08:00:00.000Z",
"to": "2026-08-15T08:15:00.000Z",
"measure": "SALES"
},
{
"value": 32.92768867815087,
"from": "2026-08-15T08:15:00.000Z",
"to": "2026-08-15T08:30:00.000Z",
"measure": "SALES"
}
]
|
If the |